--  Copyright 2006-2017, Matthew Welland.
-- 
-- This file is part of Megatest.
-- 
--     Megatest is free software: you can redistribute it and/or modify
--     it under the terms of the GNU General Public License as published by
--     the Free Software Foundation, either version 3 of the License, or
--     (at your option) any later version.
-- 
--     Megatest is distributed in the hope that it will be useful,
--     but WITHOUT ANY WARRANTY; without even the implied warranty of
--     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--     GNU General Public License for more details.
-- 
--     You should have received a copy of the GNU General Public License
--     along with Megatest.  If not, see <http://www.gnu.org/licenses/>.
.mode col
.head on
select runs.runname,num_items,printf("%.2f",wall_runtime) AS runtime,printf("%.2f",max_duration) AS duration,ratio,testname from
   (select run_id,
          count(id) AS num_items,
          (max(event_time+run_duration)-min(event_time))/3600.0 AS wall_runtime,
          max(run_duration)/3600.0 AS max_duration,
          (max(event_time+run_duration)-min(event_time))/max(run_duration) AS ratio,
          testname from tests where item_path != '' AND state != 'DELETED'
          group by run_id
          order by ratio DESC) AS dat
    join runs on dat.run_id=runs.id
WHERE ratio > 0
AND runs.state != 'deleted';
